AOZ Studio Beta - Bug #899

Sprite movements using eg: move y 1,"(1,4,15)(1,-4,15)I" : move on 1 and move x 1,"(1,2,50)(1,-2,50)I"
:move on 1

06/11/2022 10:24 PM - malcolm harvey

Status: Resolved Start date: 06/12/2022
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B15)

Description

From also the previous ticket 887, the sprite movements are still continuing after stopping the previous sprite movment.

If using the below in stos, this moves the sprite ping pong on the y axis up and down, then when you press end, it stops the sprite
one at its x,y position and then starts its new movement in the x direction, it works correctly.

stos

https://discord.com/channels/653893653940404224/691940546553446441/985267696193122375

But if you run this same code in the amiga/aoz version, the sprite starts its y ping pong movement and then when you hit enter, it
then starts the second x trajectory to ping left and right but it still then continues the first movement again which thencauses it to do
diagonal movements in the one place. The move off 1 after each waitkey should cancel previous movement, its not doing this
currently causing wrong movements almost in a circle because of this. thx

amiga

https://discord.com/channels/653893653940404224/691940546553446441/985303987337187339

Ive also attached what is happening in aoz. aozip file.
20 sprite 1,10,10,1

30 move y 1,"(1,2,50)(1,-2,50)1" : move on 1 //speed/step/count
40 wait key : move off 1 //turn of sprite

50 move x 1,"(1,2,50) (1,-2,50)1" : move on 1 //speed/step/count
60 wait key : move off 1

70 goto 30

History

#1 - 06/29/2022 09:21 AM - Francois Lionet

- Status changed from New to Resolved

Fixed!

Files

Moving Anims.aozip 5.36 MB 06/11/2022 malcolm harvey
